Bug 1029063 - [abrt] bluez-5.10-2.fc20: finalize_discovery: Process /usr/libexec/bluetooth/bluetoothd was killed by signal 11 (SIGSEGV)
[abrt] bluez-5.10-2.fc20: finalize_discovery: Process /usr/libexec/bluetooth/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:471570c40239e85338fd94a5462...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 10:16 EST by Jozef Mlich
Modified: 2015-08-02 19:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:52:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.67 KB, text/plain)
2013-11-11 10:16 EST, Jozef Mlich
no flags Details
File: cgroup (147 bytes, text/plain)
2013-11-11 10:16 EST, Jozef Mlich
no flags Details
File: core_backtrace (3.26 KB, text/plain)
2013-11-11 10:17 EST, Jozef Mlich
no flags Details
File: dso_list (1.19 KB, text/plain)
2013-11-11 10:17 EST, Jozef Mlich
no flags Details
File: environ (120 bytes, text/plain)
2013-11-11 10:17 EST, Jozef Mlich
no flags Details
File: exploitable (81 bytes, text/plain)
2013-11-11 10:17 EST, Jozef Mlich
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-11 10:17 EST, Jozef Mlich
no flags Details
File: maps (5.84 KB, text/plain)
2013-11-11 10:17 EST, Jozef Mlich
no flags Details
File: open_fds (896 bytes, text/plain)
2013-11-11 10:17 EST, Jozef Mlich
no flags Details
File: proc_pid_status (893 bytes, text/plain)
2013-11-11 10:17 EST, Jozef Mlich
no flags Details
File: var_log_messages (7.13 KB, text/plain)
2013-11-11 10:17 EST, Jozef Mlich
no flags Details

  None (edit)
Description Jozef Mlich 2013-11-11 10:16:45 EST
Version-Release number of selected component:
bluez-5.10-2.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: finalize_discovery
executable:     /usr/libexec/bluetooth/bluetoothd
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #1 finalize_discovery at profiles/audio/avdtp.c:1059
 #2 connection_lost at profiles/audio/avdtp.c:1158
 #3 disconnect_timeout at profiles/audio/avdtp.c:1193
Comment 1 Jozef Mlich 2013-11-11 10:16:55 EST
Created attachment 822455 [details]
File: backtrace
Comment 2 Jozef Mlich 2013-11-11 10:16:59 EST
Created attachment 822456 [details]
File: cgroup
Comment 3 Jozef Mlich 2013-11-11 10:17:03 EST
Created attachment 822457 [details]
File: core_backtrace
Comment 4 Jozef Mlich 2013-11-11 10:17:07 EST
Created attachment 822458 [details]
File: dso_list
Comment 5 Jozef Mlich 2013-11-11 10:17:11 EST
Created attachment 822459 [details]
File: environ
Comment 6 Jozef Mlich 2013-11-11 10:17:16 EST
Created attachment 822460 [details]
File: exploitable
Comment 7 Jozef Mlich 2013-11-11 10:17:20 EST
Created attachment 822461 [details]
File: limits
Comment 8 Jozef Mlich 2013-11-11 10:17:25 EST
Created attachment 822462 [details]
File: maps
Comment 9 Jozef Mlich 2013-11-11 10:17:29 EST
Created attachment 822463 [details]
File: open_fds
Comment 10 Jozef Mlich 2013-11-11 10:17:33 EST
Created attachment 822464 [details]
File: proc_pid_status
Comment 11 Jozef Mlich 2013-11-11 10:17:38 EST
Created attachment 822465 [details]
File: var_log_messages
Comment 12 Tom Watson 2014-04-21 12:25:00 EDT
Another user experienced a similar problem:

I'm trying to add a device.  It worked recently, but now I'm having problems.  Also when I bring up the KDE control module to "Manage Bluetooth Devices", I get a nice alert that indicates "Bluetooth is not completely enabled", and a "Fix it" button.  Clicking this just makes the alert go away, but it re-appears the next time I bring up the control module.

Strangeness.

reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: finalize_discovery
executable:     /usr/libexec/bluetooth/bluetoothd
kernel:         3.13.9-200.fc20.x86_64
package:        bluez-5.17-1.fc20
reason:         bluetoothd killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 13 Fedora End Of Life 2015-05-29 05:43:53 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 08:52:26 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.